Bug 868038 (mate-system-monitor)

Summary: Review Request: mate-system-monitor - Process and resource monitor
Product: [Fedora] Fedora Reporter: leigh scott <leigh123linux>
Component: Package ReviewAssignee: Dan Mashal <dan.mashal>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: notting, package-review
Target Milestone: ---Flags: dan.mashal: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-10-30 05:33:50 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 840149    
Bug Blocks:    

Description leigh scott 2012-10-18 19:55:32 EDT
Spec URL: http://leigh123linux.fedorapeople.org/pub/review/mate-system-monitor/1/mate-system-monitor.spec
SRPM URL: http://leigh123linux.fedorapeople.org/pub/review/mate-system-monitor/1/mate-system-monitor-1.4.0-1.fc17.src.rpm

Description: mate-system-monitor allows to graphically view and manipulate the running
processes on your system. It also provides an overview of available resources
such as CPU and memory.

Fedora Account System Username: leigh123linux
Comment 1 Dan Mashal 2012-10-19 02:51:40 EDT
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[ ]: Package does not contain kernel modules.
[ ]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[ ]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[ ]: Package contains no bundled libraries.
[ ]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[ ]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[ ]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install if there is
     such a file.
[ ]: Development files must be in a -devel package
[ ]: Package requires other packages for directories it uses.
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[ ]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[ ]: Large documentation files are in a -doc subpackage, if required.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later) (with incorrect FSF address)", "LGPL (v2 or later)
     (with incorrect FSF address)", "Unknown or generated". 3 files have
     unknown license. Detailed output of licensecheck in /home/dan/868038
     -mate-system-monitor/licensecheck.txt
[ ]: The spec file handles locales properly.
[ ]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Package must own all directories that it creates.
[ ]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[ ]: Package is not relocatable.
[ ]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[ ]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[ ]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[ ]: Useful -debuginfo package or justification otherwise.

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[ ]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[ ]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX / PatchY prefixed with %{name}.
[x]: SourceX is a working URL.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: mate-system-monitor-1.4.0-1.fc17.x86_64.rpm
          mate-system-monitor-1.4.0-1.fc17.src.rpm
          mate-system-monitor-debuginfo-1.4.0-1.fc17.x86_64.rpm
mate-system-monitor.x86_64: W: non-conffile-in-etc /etc/mateconf/schemas/mate-system-monitor.schemas
mate-system-monitor.x86_64: W: no-manual-page-for-binary mate-system-monitor
mate-system-monitor.x86_64: W: dangerous-command-in-%pre rm
mate-system-monitor.x86_64: W: dangerous-command-in-%post rm
mate-system-monitor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-system-monitor-1.4.0/src/procactions.h
mate-system-monitor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-system-monitor-1.4.0/src/callbacks.cpp
mate-system-monitor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-system-monitor-1.4.0/src/procman.cpp
mate-system-monitor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-system-monitor-1.4.0/src/bacon-message-connection.c
mate-system-monitor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-system-monitor-1.4.0/src/proctable.cpp
mate-system-monitor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-system-monitor-1.4.0/src/procman.h
mate-system-monitor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-system-monitor-1.4.0/src/gsm_color_button.h
mate-system-monitor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-system-monitor-1.4.0/src/gsm_color_button.c
mate-system-monitor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-system-monitor-1.4.0/src/callbacks.h
mate-system-monitor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-system-monitor-1.4.0/src/procdialogs.cpp
mate-system-monitor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-system-monitor-1.4.0/src/procdialogs.h
mate-system-monitor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-system-monitor-1.4.0/src/bacon-message-connection.h
mate-system-monitor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-system-monitor-1.4.0/src/proctable.h
mate-system-monitor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-system-monitor-1.4.0/src/interface.h
mate-system-monitor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-system-monitor-1.4.0/src/procactions.cpp
mate-system-monitor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-system-monitor-1.4.0/src/interface.cpp
3 packages and 0 specfiles checked; 16 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint mate-system-monitor-debuginfo mate-system-monitor
mate-system-monitor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-system-monitor-1.4.0/src/procactions.h
mate-system-monitor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-system-monitor-1.4.0/src/callbacks.cpp
mate-system-monitor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-system-monitor-1.4.0/src/procman.cpp
mate-system-monitor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-system-monitor-1.4.0/src/bacon-message-connection.c
mate-system-monitor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-system-monitor-1.4.0/src/proctable.cpp
mate-system-monitor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-system-monitor-1.4.0/src/procman.h
mate-system-monitor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-system-monitor-1.4.0/src/gsm_color_button.h
mate-system-monitor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-system-monitor-1.4.0/src/gsm_color_button.c
mate-system-monitor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-system-monitor-1.4.0/src/callbacks.h
mate-system-monitor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-system-monitor-1.4.0/src/procdialogs.cpp
mate-system-monitor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-system-monitor-1.4.0/src/procdialogs.h
mate-system-monitor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-system-monitor-1.4.0/src/bacon-message-connection.h
mate-system-monitor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-system-monitor-1.4.0/src/proctable.h
mate-system-monitor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-system-monitor-1.4.0/src/interface.h
mate-system-monitor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-system-monitor-1.4.0/src/procactions.cpp
mate-system-monitor-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-system-monitor-1.4.0/src/interface.cpp
mate-system-monitor.x86_64: W: non-conffile-in-etc /etc/mateconf/schemas/mate-system-monitor.schemas
mate-system-monitor.x86_64: W: no-manual-page-for-binary mate-system-monitor
mate-system-monitor.x86_64: W: dangerous-command-in-%pre rm
mate-system-monitor.x86_64: W: dangerous-command-in-%post rm
2 packages and 0 specfiles checked; 16 errors, 4 warnings.
# echo 'rpmlint-done:'



Requires
--------
mate-system-monitor-1.4.0-1.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /bin/sh  
    libatk-1.0.so.0()(64bit)  
    libatkmm-1.6.so.1()(64bit)  
    libc.so.6()(64bit)  
    libcairo.so.2()(64bit)  
    libcairomm-1.0.so.1()(64bit)  
    libdbus-1.so.3()(64bit)  
    libdbus-glib-1.so.2()(64bit)  
    libfontconfig.so.1()(64bit)  
    libfreetype.so.6()(64bit)  
    libgcc_s.so.1()(64bit)  
    libgcc_s.so.1(GCC_3.0)(64bit)  
    libgdk-x11-2.0.so.0()(64bit)  
    libgdk_pixbuf-2.0.so.0()(64bit)  
    libgdkmm-2.4.so.1()(64bit)  
    libgio-2.0.so.0()(64bit)  
    libgiomm-2.4.so.1()(64bit)  
    libglib-2.0.so.0()(64bit)  
    libglibmm-2.4.so.1()(64bit)  
    libgmodule-2.0.so.0()(64bit)  
    libgobject-2.0.so.0()(64bit)  
    libgtk-x11-2.0.so.0()(64bit)  
    libgtkmm-2.4.so.1()(64bit)  
    libgtop-2.0.so.7()(64bit)  
    libm.so.6()(64bit)  
    libmateconf-2.so.4()(64bit)  
    libmatewnck.so.0()(64bit)  
    libpango-1.0.so.0()(64bit)  
    libpangocairo-1.0.so.0()(64bit)  
    libpangoft2-1.0.so.0()(64bit)  
    libpangomm-1.4.so.1()(64bit)  
    libpthread.so.0()(64bit)  
    librsvg-2.so.2()(64bit)  
    librt.so.1()(64bit)  
    libsigc-2.0.so.0()(64bit)  
    libstdc++.so.6()(64bit)  
    libstdc++.so.6(CXXABI_1.3)(64bit)  
    libxml2.so.2()(64bit)  
    libxml2.so.2(LIBXML2_2.4.30)(64bit)  
    mate-conf  
    rtld(GNU_HASH)  

mate-system-monitor-debuginfo-1.4.0-1.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    



Provides
--------
mate-system-monitor-1.4.0-1.fc17.x86_64.rpm:
    
    mate-system-monitor = 1.4.0-1.fc17
    mate-system-monitor(x86-64) = 1.4.0-1.fc17

mate-system-monitor-debuginfo-1.4.0-1.fc17.x86_64.rpm:
    
    mate-system-monitor-debuginfo = 1.4.0-1.fc17
    mate-system-monitor-debuginfo(x86-64) = 1.4.0-1.fc17



MD5-sum check
-------------
http://pub.mate-desktop.org/releases/1.4/mate-system-monitor-1.4.0.tar.xz :
  CHECKSUM(SHA256) this package     : 331919edb9049c14c96687edde16cec14b7f7815d422da15cd7f1ce6c9c287a9
  CHECKSUM(SHA256) upstream package : 331919edb9049c14c96687edde16cec14b7f7815d422da15cd7f1ce6c9c287a9
Comment 2 Dan Mashal 2012-10-19 03:04:53 EDT
SHOULD:

Add quotes around "MATE" and "X-Mate" 

Add desktop-file-validate.

Please do this on initial import

Please also add Requires of "mate-desktop"

See below for examples for desktop-file-install:

http://vicodan.fedorapeople.org/matespec/mate-session-manager.spec

Installed/tested RPM. WORKS GOOD.

APPROVED.
Comment 3 leigh scott 2012-10-19 04:21:16 EDT
(In reply to comment #2)
> SHOULD:
> 
> Add quotes around "MATE" and "X-Mate" 
> 
> Add desktop-file-validate.
> 
> Please do this on initial import
> 
> Please also add Requires of "mate-desktop"
> 
> See below for examples for desktop-file-install:
> 
> http://vicodan.fedorapeople.org/matespec/mate-session-manager.spec
> 
> Installed/tested RPM. WORKS GOOD.
> 
> APPROVED.

No need to validate if you use desktop-file-install

desktop-file-install --delete-original             \
  --remove-category=MATE                           \
  --add-category=X-Mate                            \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications    \
  $RPM_BUILD_ROOT%{_datadir}/applications/mate-system-monitor.desktop



Read the guideline, I've changed the desktop file so desktop-file-validate is useless in this case.


https://fedoraproject.org/wiki/Packaging:Guidelines#Desktop_files

desktop-file-install MUST be used if the package does not install the file or there are changes desired to the .desktop file
Comment 4 leigh scott 2012-10-19 04:23:11 EDT
New Package SCM Request
=======================
Package Name: mate-system-monitor
Short Description: Process and resource monitor
Owners: leigh123linux rdieter vicodan
Branches: f16 f17 f18 
InitialCC::
Comment 5 Jon Ciesla 2012-10-19 07:01:24 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2012-10-19 15:27:34 EDT
mate-system-monitor-1.4.0-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2012-16464/mate-system-monitor-1.4.0-2.fc18
Comment 7 Thomas Spura 2012-10-22 04:36:52 EDT
*** Bug 845694 has been marked as a duplicate of this bug. ***
Comment 8 Fedora Update System 2012-10-23 08:09:31 EDT
mate-system-monitor-1.4.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/FEDORA-2012-16504/mate-system-monitor-1.4.0-2.fc17